package com.ruoyi.web.work.hl7.hl7service;

import lombok.Getter;
import lombok.Setter;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;
import org.springframework.stereotype.Component;

@Getter
@Setter
@ConfigurationProperties(prefix = "hl7socket.server")
@Configuration
@Component
public class HL7Properties {

    private String flag;
    private Integer port;
    private Integer corePoolSize;
    private Integer maximumPoolSize;
    private Integer keepAliveTime;
    private Integer queueCapacity;

}
