package com.ruoyi.web.work.hl7.service;


import ca.uhn.hl7v2.HL7Exception;
import ca.uhn.hl7v2.model.v24.message.ORU_R01;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.web.work.domain.Report;

import java.text.ParseException;

public interface HL7ReportService extends IService<Report> {

    //保存患者报告的检验数据
    void savePatientReport(ORU_R01 oruR01) throws HL7Exception, ParseException;

}
