package com.ruoyi.web.work.hl7.service;

import ca.uhn.hl7v2.HL7Exception;
import ca.uhn.hl7v2.model.v24.segment.DG1;
import ca.uhn.hl7v2.model.v24.segment.PV1;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.web.work.domain.Diagnosis;

import java.text.ParseException;
import java.util.List;

public interface HL7DiagnosisService extends IService<Diagnosis> {

    //保存本次诊断信息
    void saveDiagnosisInfo(List<DG1> dg1All, Long visitId, PV1 pv1,Long PatId) throws HL7Exception, ParseException;

    //修改dg1诊断结果表 对医生科室信息进行补充
    void updateDg1InfoByVisitId(Long visitId,String department,String physician);
}
